Subject: Re: linux-next: build warning after merge of the arm64 tree

From: Catalin Marinas <[email-masked]>
Date: Tue, 24 Oct 2023 17:14:24 +0100

On Tue, Oct 24, 2023 at 03:42:20PM +0200, Ard Biesheuvel wrote:
> On Tue, 24 Oct 2023 at 11:55, Catalin Marinas <[email-masked]> wrote:
> >
> > + Ard
> >
> > On Tue, Oct 24, 2023 at 05:24:09PM +1100, Stephen Rothwell wrote:
> > > After merging the arm64 tree, today's linux-next build (arm64 defconfig)
> > > produced this warning:
> > >
> > > WARNING: modpost: vmlinux: section mismatch in reference: __pi_$x+0x38 (section: .text) -> __pi_map_range (section: .init.text)
> > >
> > > I don't know what caused this.
> >
> > For some reason, building linux-next doesn't inline all the functions in
> > the map_range.c file and we end up with some of them in different
> > sections. I didn't get this when building the arm64 for-next/core
> > separately.
> >
> 
> Strange, I never ran into this before.
> 
> I guess commit 24cc769d70d8bda055a028aa6a is implicated in this, if we
> run into more trouble like this i'll look whether we can bring that
> logic back in some way.
> 
> The fix looks fine to me.

Thanks. I applied this fix locally (will push it out in a bit). I added
a fixes tag for a latter commit introducing map_segment() etc.

-- 
Catalin